Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader.custom
Class CustomLoader.ScalarResultColumnProcessor

    java.lang.Object
      org.hibernate.loader.custom.CustomLoader.ScalarResultColumnProcessor

Enclosing class:
  CustomLoader

    public class CustomLoader.ScalarResultColumnProcessor

extends Object

Constructor Summary
`CustomLoader.ScalarResultColumnProcessor(int position)`
`CustomLoader.ScalarResultColumnProcessor(String alias, Type type)`

Method Summary
`Object` | `extract(Object[] data, ResultSet resultSet, SessionImplementor session)`
`void` | `performDiscovery(org.hibernate.loader.custom.CustomLoader.Metadata metadata, List<Type> types, List<String> aliases)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomLoader.ScalarResultColumnProcessor

    public CustomLoader.ScalarResultColumnProcessor(int position)

### CustomLoader.ScalarResultColumnProcessor

    public CustomLoader.ScalarResultColumnProcessor(String alias,
                                                    Type type)

Method Detail

### extract

    public Object extract(Object[] data,
                          ResultSet resultSet,
                          SessionImplementor session)
                   throws SQLException,
                          HibernateException

  Throws:
    `SQLException`
    `HibernateException`

### performDiscovery

    public void performDiscovery(org.hibernate.loader.custom.CustomLoader.Metadata metadata,
                                 List<Type> types,
                                 List<String> aliases)
                          throws SQLException

  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.